####################
# cube with a hole #
####################
#
# command line:
#
# t3d -d 1.0
#

vertex 21 xyz 0.0 0.0 0.0  
vertex 22 xyz 10.0 0.0 0.0
vertex 23 xyz 0.0 10.0 0.0
vertex 24 xyz 10.0 10.0 0.0
vertex 25 xyz 0.0 0.0 10.0
vertex 26 xyz 10.0 0.0 10.0
vertex 27 xyz 0.0 10.0 10.0
vertex 28 xyz 10.0 10.0 10.0

curve 51 order 2 vertex 21 22
curve 52 order 2 vertex 23 24
curve 53 order 2 vertex 25 26
curve 54 order 2 vertex 27 28

curve 61 order 2 vertex 21 23
curve 62 order 2 vertex 22 24
curve 63 order 2 vertex 25 27
curve 64 order 2 vertex 26 28

curve 71 order 2 vertex 21 25
curve 72 order 2 vertex 22 26
curve 73 order 2 vertex 23 27
curve 74 order 2 vertex 24 28

surface 51 order 2 2 curve 61 71 63 73
surface 52 order 2 2 curve 62 72 64 74

surface 53 order 2 2 curve 51 71 53 72
surface 54 order 2 2 curve 52 73 54 74

surface 55 order 2 2 curve 51 61 52 62
surface 56 order 2 2 curve 53 63 54 64

vertex 31 fixed surface 51 uv 0.25 0.25
vertex 32 fixed surface 51 uv 0.75 0.25
vertex 33 fixed surface 51 uv 0.25 0.75
vertex 34 fixed surface 51 uv 0.75 0.75

vertex 41 fixed surface 52 uv 0.25 0.25
vertex 42 fixed surface 52 uv 0.75 0.25
vertex 43 fixed surface 52 uv 0.25 0.75
vertex 44 fixed surface 52 uv 0.75 0.75

curve 111 fixed surface 51 vertex 31 32
curve 112 fixed surface 51 vertex 31 33
curve 113 fixed surface 51 vertex 34 33
curve 114 fixed surface 51 vertex 34 32

curve 121 fixed surface 52 vertex 41 42
curve 122 fixed surface 52 vertex 41 43
curve 123 fixed surface 52 vertex 44 43
curve 124 fixed surface 52 vertex 44 42

surface 71 fixed surface 51 curve 111 112 113 114 hole
surface 72 fixed surface 52 curve 121 122 123 124 hole

vertex 51 fixed surface 53 uv 0.25 0.25
vertex 52 fixed surface 53 uv 0.75 0.25
vertex 53 fixed surface 53 uv 0.25 0.75
vertex 54 fixed surface 53 uv 0.75 0.75

vertex 61 fixed surface 54 uv 0.25 0.25
vertex 62 fixed surface 54 uv 0.75 0.25
vertex 63 fixed surface 54 uv 0.25 0.75
vertex 64 fixed surface 54 uv 0.75 0.75

curve 131 fixed surface 53 vertex 51 52
curve 132 fixed surface 53 vertex 51 53
curve 133 fixed surface 53 vertex 54 53
curve 134 fixed surface 53 vertex 54 52

curve 141 fixed surface 54 vertex 61 62
curve 142 fixed surface 54 vertex 61 63
curve 143 fixed surface 54 vertex 64 63
curve 144 fixed surface 54 vertex 64 62

surface 73 fixed surface 53 curve 131 132 133 134 hole
surface 74 fixed surface 54 curve 141 142 143 144 hole

vertex 71 fixed surface 55 uv 0.25 0.25
vertex 72 fixed surface 55 uv 0.75 0.25
vertex 73 fixed surface 55 uv 0.25 0.75
vertex 74 fixed surface 55 uv 0.75 0.75

vertex 81 fixed surface 56 uv 0.25 0.25
vertex 82 fixed surface 56 uv 0.75 0.25
vertex 83 fixed surface 56 uv 0.25 0.75
vertex 84 fixed surface 56 uv 0.75 0.75

curve 151 fixed surface 55 vertex 71 72
curve 152 fixed surface 55 vertex 71 73
curve 153 fixed surface 55 vertex 74 73
curve 154 fixed surface 55 vertex 74 72

curve 161 fixed surface 56 vertex 81 82
curve 162 fixed surface 56 vertex 81 83
curve 163 fixed surface 56 vertex 84 83
curve 164 fixed surface 56 vertex 84 82

surface 75 fixed surface 55 curve 151 152 153 154 hole
surface 76 fixed surface 56 curve 161 162 163 164 hole

vertex 121 xyz 2.5 2.5 2.5
vertex 122 xyz 7.5 2.5 2.5
vertex 123 xyz 2.5 7.5 2.5
vertex 124 xyz 7.5 7.5 2.5
vertex 125 xyz 2.5 2.5 7.5
vertex 126 xyz 7.5 2.5 7.5
vertex 127 xyz 2.5 7.5 7.5
vertex 128 xyz 7.5 7.5 7.5

curve 251 order 2 vertex 121 122
curve 252 order 2 vertex 123 124
curve 253 order 2 vertex 125 126
curve 254 order 2 vertex 127 128

curve 261 order 2 vertex 121 123
curve 262 order 2 vertex 122 124
curve 263 order 2 vertex 125 127
curve 264 order 2 vertex 126 128

curve 271 order 2 vertex 121 125
curve 272 order 2 vertex 122 126
curve 273 order 2 vertex 123 127
curve 274 order 2 vertex 124 128

curve 351 order 2 vertex 31 121
curve 352 order 2 vertex 32 123
curve 353 order 2 vertex 33 125
curve 354 order 2 vertex 34 127
curve 355 order 2 vertex 41 122
curve 356 order 2 vertex 42 124
curve 357 order 2 vertex 43 126
curve 358 order 2 vertex 44 128

curve 361 order 2 vertex 51 121
curve 362 order 2 vertex 52 122
curve 363 order 2 vertex 53 125 
curve 364 order 2 vertex 54 126
curve 365 order 2 vertex 61 123
curve 366 order 2 vertex 62 124
curve 367 order 2 vertex 63 127
curve 368 order 2 vertex 64 128

curve 371 order 2 vertex 71 121
curve 372 order 2 vertex 72 122
curve 373 order 2 vertex 73 123
curve 374 order 2 vertex 74 124
curve 375 order 2 vertex 81 125
curve 376 order 2 vertex 82 126
curve 377 order 2 vertex 83 127
curve 378 order 2 vertex 84 128

surface 121 order 2 2 curve 351 111 352 261
surface 122 order 2 2 curve 353 113 354 263
surface 123 order 2 2 curve 351 112 353 271
surface 124 order 2 2 curve 352 114 354 273

surface 125 order 2 2 curve 355 121 356 262
surface 126 order 2 2 curve 357 123 358 264
surface 127 order 2 2 curve 355 122 357 272
surface 128 order 2 2 curve 356 124 358 274

surface 131 order 2 2 curve 361 131 362 251
surface 132 order 2 2 curve 363 133 364 253
surface 133 order 2 2 curve 361 132 363 271
surface 134 order 2 2 curve 362 134 364 272

surface 135 order 2 2 curve 365 141 366 252
surface 136 order 2 2 curve 367 143 368 254
surface 137 order 2 2 curve 365 142 367 273
surface 138 order 2 2 curve 366 144 368 274

surface 141 order 2 2 curve 371 151 372 251
surface 142 order 2 2 curve 373 153 374 252
surface 143 order 2 2 curve 371 152 373 261
surface 144 order 2 2 curve 372 154 374 262

surface 145 order 2 2 curve 375 161 376 253
surface 146 order 2 2 curve 377 163 378 254
surface 147 order 2 2 curve 375 162 377 263
surface 148 order 2 2 curve 376 164 378 264


region 1 size def \
  boundary surface -51 52 53 -54 -55 56 \
                   121 -122 -123 124 -125 126 127 -128 \
                   -131 132 133 -134 135 -136 -137 138 \
                   141 -142 -143 144 -145 146 147 -148



